petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCGAMGSetProcEqLim

Set number of equations to aim for per process on the coarse grids via processor reduction.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGAMGSetProcEqLim(PC pc, PetscInt n)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| n | - the number of equations

### Options Database Key

-pc_gamg_process_eq_limit <limit> - Notes: GAMG will reduce the number of MPI processes used directly on the coarse grids so that there are around <limit> equations on each process that has degrees of freedom

### See Also

PCGAMGSetCoarseEqLim()

### Level

intermediate

### Location

src/ksp/pc/impls/gamg/gamg.c

### Implementations

PCGAMGSetProcEqLim_GAMG in src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages